Bug 504216 - Missing display of MACADDR when activating networking during repo selection
Missing display of MACADDR when activating networking during repo selection
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 15:58 EDT by James Laska
Modified: 2013-09-02 02:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 15:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (52.47 KB, image/png)
2009-06-04 15:58 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-06-04 15:58:33 EDT
Created attachment 346582 [details]
Screenshot

Description of problem:

During a DVD install, when activating a network-based yum repository a network dialog appears.  The dialog has a drop-down list to select which NIC I want to use to activate the network.

I might be wrong here, but I'm not sure what the strong format of the labels in the drop-down box are supposed to be.

Currently it shows:

 eth0 - Networking interface
 eth1 - Networking interface

I don't know if that's expected, or if we are expecting the similar information presented when activating the network in text-mode, which is:

 eth0 - 54:52:00:2f:fd:b2
 eth1 - 54:52:00:2f:fd:b3

Version-Release number of selected component (if applicable):

anaconda-11.50.0.59


How reproducible:


Steps to Reproduce:
1. Boot DVD
2. Proceed to repo selection
3. Select repo "Fedora 11 - x86_64"
4. Click "Modify Repository"
  
Actual results:

See attached screenshot

Expected results:

A list of NIC and MAC address pairs?

Additional info:
Comment 1 David Cantrell 2009-06-09 01:18:36 EDT
This looks to be our fault, in that we didn't change this particular code path when we changed the others to display the device name and MAC address.  Here's the fix:

diff --git a/iw/netconfig_dialog.py b/iw/netconfig_dialog.py
index 3941d3a..52894de 100644
--- a/iw/netconfig_dialog.py
+++ b/iw/netconfig_dialog.py
@@ -144,10 +144,10 @@ class NetworkConfigurator:
 
         for dev in devs:
             i = store.append(None)
-            desc = netdevs[dev].get("desc")
+            hwaddr = netdevs[dev].get("HWADDR")
 
-            if desc:
-                desc = "%s - %s" %(dev, desc)
+            if hwaddr:
+                desc = "%s - %s" %(dev, hwaddr,)
             else:
                 desc = "%s" %(dev,)
 
Patch submitted for review.
Comment 2 Bug Zapper 2009-06-09 13:06:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeroen van Meeuwen 2009-07-21 07:47:50 EDT
Cherry picked cee4eef6a4ab0503d8dd3c650d7a2b819432d781 into private unofficial f11-branch, this will be in an upcoming Fedora Unity Re-Spin

Note You need to log in before you can comment on or make changes to this bug.